Bug 497095 - [bn][bn-IN] Incorrect rendering of a consonant conjunct while writing Bengali in KDE Applications
[bn][bn-IN] Incorrect rendering of a consonant conjunct while writing Bengali...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks: 562049
  Show dependency treegraph
 
Reported: 2009-04-22 07:04 EDT by Runa Bhattacharjee
Modified: 2013-03-03 21:21 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 562049 (view as bug list)
Environment:
Last Closed: 2011-02-16 23:08:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch fixing mentioned issue (1.08 KB, patch)
2010-09-22 05:54 EDT, Pravin Satpute
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 190334 None None None Never

  None (edit)
Description Runa Bhattacharjee 2009-04-22 07:04:35 EDT
Description of problem:

While typing in Bengali within various KDE applications like kwrite, kate,
konqueror etc. the following consonant conjunct is not being rendered
correctly:

র+ZWJ+্+য

The corresponding unicode values for the above are:

U09B0+U200D+U09CD+U09AF



Version-Release number of selected component (if applicable):

KDE 4.2.2.


How reproducible:


Steps to Reproduce:
1. Open kwrite
2. Enter the above consonant conjuct combination using a Bengali keyboard or
Unicode RAWCODE 
  
Actual results:

The consonant is rendered incorrectly.

Screenshot: http://runab.fedorapeople.org/assorted-bugs/incorrect-ra.png


Expected results:

The consonant should be rendered correctly.

Screenshot: http://runab.fedorapeople.org/assorted-bugs/correct-ra.png

Additional info:

This bug exists in earlier versions of Fedora (9, 10) as well
Comment 1 Kevin Kofler 2009-04-22 08:08:57 EDT
That's a kdelibs (KatePart) or Qt bug, kde-l10n is just translations.

It looks clearly valid, so changing to ASSIGNED, but I'm not sure how to fix it.
Comment 2 Steven M. Parrish 2009-05-26 15:52:31 EDT
Thanks for reporting this upstream.  Will monitor for a resolution.
Comment 3 Pravin Satpute 2010-09-22 01:20:45 EDT
http://bugreports.qt.nokia.com/browse/QTBUG-13616
Comment 4 Pravin Satpute 2010-09-22 05:54:35 EDT
Created attachment 448891 [details]
patch fixing mentioned issue

this patch contains patch for bug https://bugzilla.redhat.com/show_bug.cgi?id=557108 as well
so applying it will fix that bug as well
Comment 5 Ngo Than 2010-09-27 07:48:10 EDT
it's fixed in qt-4.7.0-3.fc13, http://koji.fedoraproject.org/koji/buildinfo?buildID=196716.
could someone please test it? Thanks
Comment 6 Runa Bhattacharjee 2010-09-27 08:41:44 EDT
Hello,

The rendering for the main conjunct correct. However, there is definitely a problem with the cursoring and the dependent vowel sign gets piled onto the conjunct character:

http://runab.fedorapeople.org/assorted-bugs/qt-497095.png


Thanks.
Comment 7 Pravin Satpute 2010-09-27 10:36:14 EDT
can you check other combinations using U+200D?
it looks to me generic problem with the uses of U+200D 
and deserve different bug and different fix
Comment 8 Runa Bhattacharjee 2010-10-01 05:12:42 EDT
ZWJ is not used for any other combinations. But we may find the same output for combinations with ZWNJ. Would you like me to test out with ZWNJ?
Comment 9 Pravin Satpute 2010-10-03 23:33:11 EDT
i have seen same problem with Devanagari 

i.e 
0915 + 094d + 200d + 0915, even in this combination cursor not get positioned properly

i will report this bug to upstream and work on same
Comment 10 Pravin Satpute 2010-12-09 04:15:29 EST
any problem in f13, can we close this one?

Note You need to log in before you can comment on or make changes to this bug.